{
  description = "A basic flake with a shell";
  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
  inputs.flake-utils.url = "github:numtide/flake-utils";

  outputs = { nixpkgs, flake-utils, self }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = nixpkgs.legacyPackages.${system};
      in
      {
        devShells.default = pkgs.mkShell {
          packages = [ pkgs.poetry (pkgs.python311.withPackages (pyPkgs: [
            pyPkgs.numpy
            (pyPkgs.buildPythonPackage rec {
              pname = "python-twitch-stream";
              version = "1.0.2";
              format = "wheel";
              src = builtins.fetchurl {
                url = "https://files.pythonhosted.org/packages/3c/1c/fb821e36fa40316442f59c152d1632a46fceedd04056707c8950159d0671/python_twitch_stream-1.0.2-py2.py3-none-any.whl";
                sha256 = "sha256-1fx0c1r31lcrckl897v2hyw679v9zacsrmfm10bhswz050zs9ch3";
              };
            })
          ])) pkgs.ffmpeg ];
        };
      });
}
